0

I have installed Sitecore 8.2 Update 7 in my machine and I have downloaded Habitat 1.5 (Sitecore 8.2 Update-4) release from github and trying to configure with my Sitecore instance.

While running the 5th step Sync unicorn using gulp task, it did not run anything nor gave any error.

When I tried to manually sync unicorn using the following url http://habitatdev.local/Unicorn.aspx?verb=sync, I'm getting this error

Could not load file or assembly 'MongoDB.Bson, Version=1.10.0.62, Culture=neutral, PublicKeyToken=null' or one of its dependencies.

But when I checked in my bin folder I'm see the same version(1.10.0.62) of MongoDB.Bson dll present. When I checked some blogs, they are saying that the habitat version mismatches and is not supported for my Sitecore version.

Can anybody suggest what is the issue and how to find which habitat release of github is compatible for my sitecore version.

  • Please update mentioned version of MongoDB.Bson nuget package. Source - nuget.org/packages/mongodb.bson – Abhishek Malaviya May 3 at 14:57
  • Hi Abhishek, Thanks for your answer. but when i updated to the mentioned version i'm again getting the following error "Could not load file or assembly 'MongoDB.Bson, Version=2.4.4.0, Culture=neutral, PublicKeyToken=null' or one of its dependencies.". Not sure what is the issue. Please suggest me what to do regarding this error. – Vijayarajan May 6 at 6:37
  • Please update MongoDB.Bson version 1.10.0.62. check also dependency if any. Also use only nuget for package update. don't do manually. – Abhishek Malaviya May 6 at 6:39

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.